#include <stdio.h>
#include <string.h>
#include <strings.h>
#include <sys/types.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include <arpa/inet.h>
#include <netdb.h>
#include <unistd.h>
#include <errno.h>


/******************************************************************************/
int Abre_Conexion_Udp(){
struct sockaddr_in Direccion;
int sd = sizeof(Direccion);

	sd = socket (AF_INET, SOCK_DGRAM, 0);
	if (sd == -1){
	return (-1);
	}
	
/******************************************************************************/
	/* Llenado de la estructura direccion
	 * Tipo de Socket
	 * Direccion del servidor 
	 * Puerto de escucha al servidor
	 */
	 
	bzero(&Direccion, sizeof(Direccion)); //Setea la estructura a bytes nulos
	Direccion.sin_family = AF_INET; //socket tipo red 
	//Direccion.sin_addr.s_addr = htonl(INADDR_ANY);
	Direccion.sin_port = htons(8802); //puerto de escucha
	if (inet_aton("192.168.3.161", &Direccion.sin_addr) == 0) //direccion de destino
	perror("Direccion IP Incorrecta");
	
/******************************************************************************/
	/* Asociacion del puerto al socket usando bind ()*/

	if (bind (sd, (struct sockaddr *)&Direccion, sizeof(Direccion)) == -1){
		printf("Bind Malo\n");
		close(sd);
		return -1;
	}
	return (sd);
}

/******************************************************************************/
	/* Recepcion de la data emitida por el servidor*/

void Recibir_Mensaje(int sd){

struct sockaddr_in Servidor;
int bytes, LargoServidor = sizeof(Servidor);
char buffer[1024];
	
	bytes = recvfrom(sd, buffer, sizeof(buffer), 0, (struct sockaddr *)&Servidor, &LargoServidor);
	
	if(bytes > 0)
		perror ("Problema de Respuesta");
	else
		printf("Mensaje: %s", buffer);
		
}
/******************************************************************************/
